(ns wanijo.user.domain
  (:require [wanijo.framework.neo4j :as neo4j]))

(neo4j/defquery
  find-user
  "MATCH (n:user)
   WHERE n.ident = {ident}
   RETURN n")

(defn find! [ident]
  (->> 
   (neo4j/exec-query!
    find-user
    {:ident ident})
   first
   :n))
